Merchant

Fetching list of merchants.

LIST

Returns a collection of merchants.

Example of fetching merchants list

Request

GET /merchants HTTP/1.1

Response

{
  "data": [
    {
      "id": 1,
      "name": "Demo Shop",
      "created_at": "2026-01-28T12:00:11+00:00",
      "updated_at": "2026-01-28T12:01:04+00:00"
    }
  ],
  "links": {
    "first": null,
    "last": null,
    "prev": null,
    "next": null
  },
  "meta": {
    "path": "https://api.smake.io/master-administration/merchants",
    "per_page": 15,
    "next_cursor": null,
    "prev_cursor": null
  }
}

GET

Returns a merchant of given id = x.

Example of fetching specified merchant information

Request

GET /merchants/1 HTTP/1.1

Response

{
  "id": 1,
  "name": "Demo Shop",
  "created_at": "2026-01-28T12:00:11+00:00",
  "updated_at": "2026-01-28T12:01:04+00:00"
}